corrected copyright notices
[gnutls.git] / src / libopts / ao-strs.c
blob30bcbe53fa454beea0ee50bc89489b06a123746e
1 /* -*- buffer-read-only: t -*- vi: set ro:
2 *
3 * DO NOT EDIT THIS FILE (ao-strs.c)
4 *
5 * It has been AutoGen-ed May 6, 2012 at 04:20:58 PM by AutoGen 5.16pre36
6 * From the definitions ao-strs.def
7 * and the template file strings
9 * Copyright (C) 2011-2012 Bruce Korb, all rights reserved.
10 * This is free software. It is licensed for use, modification and
11 * redistribution under the terms of the
12 * Modified (3 clause) Berkeley Software Distribution License
13 * <http://www.xfree86.org/3.3.6/COPYRIGHT2.html>
15 * Redistribution and use in source and binary forms, with or without
16 * modification, are permitted provided that the following conditions
17 * are met:
18 * 1. Redistributions of source code must retain the above copyright
19 * notice, this list of conditions and the following disclaimer.
20 * 2. Redistributions in binary form must reproduce the above copyright
21 * notice, this list of conditions and the following disclaimer in the
22 * documentation and/or other materials provided with the distribution.
23 * 3. Neither the name ``Bruce Korb'' nor the name of any other
24 * contributor may be used to endorse or promote products derived
25 * from this software without specific prior written permission.
27 * strings IS PROVIDED BY Bruce Korb ``AS IS'' AND ANY EXPRESS
28 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
29 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
30 * ARE DISCLAIMED. IN NO EVENT SHALL Bruce Korb OR ANY OTHER CONTRIBUTORS
31 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
32 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
33 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
34 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
35 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
36 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
37 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
39 #include "ao-strs.h"
41 char const ao_strs_strtable[6266] =
42 /* 0 */ " \t\n"
43 ":=\0"
44 /* 6 */ "INVALID-%d\0"
45 /* 17 */ "*INVALID*\0"
46 /* 27 */ "none\0"
47 /* 32 */ " + \0"
48 /* 36 */ " | \0"
49 /* 40 */ "%s\n\0"
50 /* 44 */ "PAGER\0"
51 /* 50 */ "/tmp/use.%lu\0"
52 /* 63 */ "more\0"
53 /* 68 */ " --* )\n\0"
54 /* 79 */ "%s\n"
55 " \0"
56 /* 85 */ " \0"
57 /* 88 */ " -* )\n\0"
58 /* 98 */ " ;;\n\n\0"
59 /* 111 */ "stdout\0"
60 /* 118 */ "%A %B %e, %Y at %r %Z\0"
61 /* 140 */ "#! %s\n\0"
62 /* 147 */ "%s_%s=\0"
63 /* 154 */ "\n"
64 "export %s_%s\n\0"
65 /* 169 */ "''\0"
66 /* 172 */ "\\'\0"
67 /* 175 */ "'%s'\0"
68 /* 180 */ "%s_%s_%d=\0"
69 /* 190 */ "\n"
70 "export %s_%s_%d\n\0"
71 /* 208 */ "set --\0"
72 /* 215 */ " '%s'\0"
73 /* 221 */ "'\\''\0"
74 /* 226 */ "\n"
75 "OPTION_CT=0\n\0"
76 /* 240 */ "=%1$lu # 0x%1$lX\n\0"
77 /* 258 */ "true\0"
78 /* 263 */ "false\0"
79 /* 269 */ "VERSION\0"
80 /* 277 */ "OPT_ARG_NEEDED=OK\0"
81 /* 295 */ "OPT_ARG_NEEDED=NO\0"
82 /* 313 */ "OPT_ARG_NEEDED=YES\0"
83 /* 332 */ "LONGUSAGE\0"
84 /* 342 */ "flag\0"
85 /* 347 */ "%s_%s_TEXT='\0"
86 /* 360 */ "'\n\n\0"
87 /* 364 */ "option\0"
88 /* 371 */ "\n"
89 "env | grep '^%s_'\n\0"
90 /* 391 */ " -- %s\0"
91 /* 398 */ "--\0"
92 /* 401 */ "\t\t\t\t- \0"
93 /* 408 */ "\t\t\t\t \0"
94 /* 415 */ "\t\0"
95 /* 417 */ " * )\n"
96 " OPT_PROCESS=false\n"
97 " ;;\n"
98 " esac\n\0"
99 /* 474 */ " %s\n\0"
100 /* 480 */ "%%-%ds\0"
101 /* 487 */ "%1$s /tmp/use.%2$lu ; rm -f /tmp/use.%2$lu\0"
102 /* 530 */ "# # # # # # # # # # -- do not modify this marker --\n"
103 "#\n"
104 "# DO NOT EDIT THIS SECTION\n\0"
105 /* 613 */ "%s OF %s\n"
106 "#\n"
107 "# From here to the next `-- do not modify this marker --',\n"
108 "# the text has been generated %s\n\0"
109 /* 719 */ "# From the %s option definitions\n"
110 "#\n\0"
111 /* 756 */ "\n"
112 "if test -z \"${%1$s_%2$s}\"\n"
113 "then\n"
114 " %1$s_%2$s_CT=0\n"
115 "else\n"
116 " %1$s_%2$s_CT=1\n"
117 " %1$s_%2$s_1=${%1$s_%2$s}\n"
118 "fi\n"
119 "export %1$s_%2$s_CT\0"
120 /* 877 */ "\n"
121 "%1$s_%2$s=${%1$s_%2$s-'%3$s'}\n"
122 "%1$s_%2$s_set=false\n"
123 "export %1$s_%2$s\0"
124 /* 945 */ "\n"
125 "%1$s_%2$s=${%1$s_%2$s}\n"
126 "%1$s_%2$s_set=false\n"
127 "export %1$s_%2$s\n\0"
128 /* 1007 */ "\n"
129 "OPT_PROCESS=true\n"
130 "OPT_ARG=$1\n"
131 "while ${OPT_PROCESS} && [ $# -gt 0 ]\n"
132 "do\n"
133 " OPT_ELEMENT=''\n"
134 " OPT_ARG_VAL=''\n\n"
135 " case \"${OPT_ARG}\" in\n"
136 " -- )\n"
137 " OPT_PROCESS=false\n"
138 " shift\n"
139 " ;;\n\0"
140 /* 1201 */ "\n"
141 "OPT_ARG=$1\n"
142 "while [ $# -gt 0 ]\n"
143 "do\n"
144 " OPT_ELEMENT=''\n"
145 " OPT_ARG_VAL=''\n"
146 " OPT_ARG=${1}\n\0"
147 /* 1291 */ " if [ -n \"${OPT_ARG_VAL}\" ]\n"
148 " then\n"
149 " eval %1$s_${OPT_NAME}${OPT_ELEMENT}=\"'${OPT_ARG_VAL}'\"\n"
150 " export %1$s_${OPT_NAME}${OPT_ELEMENT}\n"
151 " fi\n"
152 "done\n"
153 "unset OPT_PROCESS || :\n"
154 "unset OPT_ELEMENT || :\n"
155 "unset OPT_ARG || :\n"
156 "unset OPT_ARG_NEEDED || :\n"
157 "unset OPT_NAME || :\n"
158 "unset OPT_CODE || :\n"
159 "unset OPT_ARG_VAL || :\n"
160 "%2$s\0"
161 /* 1621 */ "\n"
162 "# # # # # # # # # #\n"
163 "#\n"
164 "# END OF AUTOMATED OPTION PROCESSING\n"
165 "#\n"
166 "# # # # # # # # # # -- do not modify this marker --\n\0"
167 /* 1737 */ " case \"${OPT_CODE}\" in\n\0"
168 /* 1768 */ " '%s' | \\\n\0"
169 /* 1786 */ " '%s' )\n\0"
170 /* 1802 */ " '%c' )\n\0"
171 /* 1818 */ " ;;\n\n\0"
172 /* 1835 */ " * )\n"
173 " echo Unknown %s: \"${OPT_CODE}\" >&2\n"
174 " echo \"$%s_USAGE_TEXT\"\n"
175 " exit 1\n"
176 " ;;\n"
177 " esac\n\n\0"
178 /* 1977 */ " echo \"$%s_%s_TEXT\"\n"
179 " exit 0\n\0"
180 /* 2028 */ " echo \"$%s_LONGUSAGE_TEXT\" | ${PAGER-more}\n"
181 " exit 0\n\0"
182 /* 2102 */ " %s\n\0"
183 /* 2118 */ " if [ $%1$s_%2$s_CT -ge %3$d ] ; then\n"
184 " echo Error: more than %3$d %2$s options >&2\n"
185 " echo \"$%1$s_USAGE_TEXT\"\n"
186 " exit 1 ; fi\n\0"
187 /* 2297 */ " %1$s_%2$s_CT=`expr ${%1$s_%2$s_CT} + 1`\n"
188 " OPT_ELEMENT=\"_${%1$s_%2$s_CT}\"\n"
189 " OPT_NAME='%2$s'\n\0"
190 /* 2421 */ " if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
191 " echo Error: duplicate %2$s option >&2\n"
192 " echo \"$%1$s_USAGE_TEXT\"\n"
193 " exit 1 ; fi\n"
194 " %1$s_%2$s_set=true\n"
195 " OPT_NAME='%2$s'\n\0"
196 /* 2668 */ " %1$s_%2$s_CT=0\n"
197 " OPT_ELEMENT=''\n"
198 " %1$s_%2$s='%3$s'\n"
199 " export %1$s_%2$s\n"
200 " OPT_NAME='%2$s'\n\0"
201 /* 2809 */ " if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
202 " echo 'Error: duplicate %2$s option' >&2\n"
203 " echo \"$%1$s_USAGE_TEXT\"\n"
204 " exit 1 ; fi\n"
205 " %1$s_%2$s_set=true\n"
206 " %1$s_%2$s='%3$s'\n"
207 " export %1$s_%2$s\n"
208 " OPT_NAME='%2$s'\n\0"
209 /* 3116 */ " eval %1$s_%2$s${OPT_ELEMENT}=true\n"
210 " export %1$s_%2$s${OPT_ELEMENT}\n"
211 " OPT_ARG_NEEDED=OK\n\0"
212 /* 3236 */ " OPT_ARG_NEEDED=YES\n\0"
213 /* 3268 */ " eval %1$s_%2$s${OPT_ELEMENT}=true\n"
214 " export %1$s_%2$s${OPT_ELEMENT}\n"
215 " OPT_ARG_NEEDED=NO\n\0"
216 /* 3388 */ " OPT_CODE=`echo \"X${OPT_ARG}\"|sed 's/^X-*//'`\n"
217 " shift\n"
218 " OPT_ARG=$1\n"
219 " case \"${OPT_CODE}\" in *=* )\n"
220 " OPT_ARG_VAL=`echo \"${OPT_CODE}\"|sed 's/^[^=]*=//'`\n"
221 " OPT_CODE=`echo \"${OPT_CODE}\"|sed 's/=.*$//'` ;; esac\n\0"
222 /* 3639 */ " case \"${OPT_ARG_NEEDED}\" in\n"
223 " NO )\n"
224 " OPT_ARG_VAL=''\n"
225 " ;;\n"
226 " YES )\n"
227 " if [ -z \"${OPT_ARG_VAL}\" ]\n"
228 " then\n"
229 " if [ $# -eq 0 ]\n"
230 " then\n"
231 " echo No argument provided for ${OPT_NAME} option >&2\n"
232 " echo \"$%s_USAGE_TEXT\"\n"
233 " exit 1\n"
234 " fi\n"
235 " OPT_ARG_VAL=${OPT_ARG}\n"
236 " shift\n"
237 " OPT_ARG=$1\n"
238 " fi\n"
239 " ;;\n"
240 " OK )\n"
241 " if [ -z \"${OPT_ARG_VAL}\" ] && [ $# -gt 0 ]\n"
242 " then\n"
243 " case \"${OPT_ARG}\" in -* ) ;; * )\n"
244 " OPT_ARG_VAL=${OPT_ARG}\n"
245 " shift\n"
246 " OPT_ARG=$1 ;; esac\n"
247 " fi\n"
248 " ;;\n"
249 " esac\n\0"
250 /* 4418 */ " OPT_CODE=`echo \"X${OPT_ARG}\" | sed 's/X-\\(.\\).*/\\1/'`\n"
251 " OPT_ARG=` echo \"X${OPT_ARG}\" | sed 's/X-.//'`\n\0"
252 /* 4535 */ " case \"${OPT_ARG_NEEDED}\" in\n"
253 " NO )\n"
254 " if [ -n \"${OPT_ARG}\" ]\n"
255 " then\n"
256 " OPT_ARG=-${OPT_ARG}\n"
257 " else\n"
258 " shift\n"
259 " OPT_ARG=$1\n"
260 " fi\n"
261 " ;;\n"
262 " YES )\n"
263 " if [ -n \"${OPT_ARG}\" ]\n"
264 " then\n"
265 " OPT_ARG_VAL=${OPT_ARG}\n"
266 " else\n"
267 " if [ $# -eq 0 ]\n"
268 " then\n"
269 " echo No argument provided for ${OPT_NAME} option >&2\n"
270 " echo \"$%s_USAGE_TEXT\"\n"
271 " exit 1\n"
272 " fi\n"
273 " shift\n"
274 " OPT_ARG_VAL=$1\n"
275 " fi\n"
276 " shift\n"
277 " OPT_ARG=$1\n"
278 " ;;\n"
279 " OK )\n"
280 " if [ -n \"${OPT_ARG}\" ]\n"
281 " then\n"
282 " OPT_ARG_VAL=${OPT_ARG}\n"
283 " shift\n"
284 " OPT_ARG=$1\n"
285 " else\n"
286 " shift\n"
287 " if [ $# -gt 0 ]\n"
288 " then\n"
289 " case \"$1\" in -* ) ;; * )\n"
290 " OPT_ARG_VAL=$1\n"
291 " shift ;; esac\n"
292 " OPT_ARG=$1\n"
293 " fi\n"
294 " fi\n"
295 " ;;\n"
296 " esac\n\0"
297 /* 5689 */ "%1$s_%2$s=%3$d # 0x%3$X\n"
298 "export %1$s_%2$s\n\0"
299 /* 5731 */ "%1$s_%2$s_CT=%3$d\n"
300 "export %1$s_%2$s_CT\n\0"
301 /* 5770 */ "OPTION_CT=%d\n"
302 "export OPTION_CT\n\0"
303 /* 5801 */ "%1$s_%2$s=%3$s\n"
304 "export %1$s_%2$s\n\0"
305 /* 5834 */ "%1$s_%2$s='%3$s'\n"
306 "export %1$s_%2$s\n\0"
307 /* 5869 */ "%1$s_%2$s_MODE='%3$s'\n"
308 "export %1$s_%2$s_MODE\n\0"
309 /* 5914 */ "echo 'Warning: Cannot load options files' >&2\0"
310 /* 5961 */ "echo 'Warning: Cannot save options files' >&2\0"
311 /* 6008 */ "echo 'Warning: Cannot suppress the loading of options files' >&2\0"
312 /* 6074 */ "%1$s_%2$s_TEXT='no %2$s text'\n\0"
313 /* 6105 */ "%s WARNING: cannot save options - \0"
314 /* 6141 */ "<%s/>\n\0"
315 /* 6148 */ "<%s>\0"
316 /* 6153 */ "</%s>\n\0"
317 /* 6160 */ "<%s type=%s>\0"
318 /* 6173 */ "<%s type=nested>\n\0"
319 /* 6191 */ "#x%02X;\0"
320 /* 6199 */ "<%1$s type=boolean>%2$s</%1$s>\n\0"
321 /* 6231 */ "<%1$s type=integer>0x%2$lX</%1$s>\n";
323 /* end of ao-strs.c */